Bug 598042 - virtio-blk: Avoid zeroing every request structure
Summary: virtio-blk: Avoid zeroing every request structure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.6
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Jes Sorensen
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 593369
Blocks: Rhel5KvmTier2 604159
TreeView+ depends on / blocked
 
Reported: 2010-05-31 10:05 UTC by Jes Sorensen
Modified: 2013-01-09 22:39 UTC (History)
8 users (show)

Fixed In Version: kvm-83-183.el5
Doc Type: Bug Fix
Doc Text:
The virtio-blk back end for qemu-kvm performed unnecessary zeroing of memory on every I/O request, which reduced virtual guest performance. With this update, the virtio-blk back end avoids spurious zeroing of request structures on each I/O request, with the result that guest performance is increased.
Clone Of: 593369
Environment:
Last Closed: 2011-01-13 23:35:36 UTC


Attachments (Terms of Use)
Avoid zeroing every request structure in virtio-blk (1.55 KB, patch)
2010-06-10 16:47 UTC, Jes Sorensen
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0028 normal SHIPPED_LIVE Low: kvm security and bug fix update 2011-01-13 11:03:39 UTC

Comment 1 Jes Sorensen 2010-06-10 16:47:55 UTC
Created attachment 422972 [details]
Avoid zeroing every request structure in virtio-blk

Backport of upstream commit: de6c8042ec55da18702fa51f09072fcaa315edc3

This is a backport of a fix to not zero every request structure, but
only initialize the fields that are read. My testing using IOZone
on a ramdisk device shows a performance boost of 5-7% with this patch
enabled.

Comment 8 Douglas Silas 2010-07-28 15:39:22 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
The virtio-blk back end for qemu-kvm performed unnecessary zeroing of memory on every I/O request, which reduced virtual guest performance. With this update, the virtio-blk back end avoids spurious zeroing of request structures on each I/O request, with the result that guest performance is increased.

Comment 13 errata-xmlrpc 2011-01-13 23:35:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0028.html


Note You need to log in before you can comment on or make changes to this bug.